Workflows
Run a workflow goal now
Starts a new run from the goal’s active revision.
POST
/
api
/
v1
/
tenant
/
automation
/
goals
/
{goal_id}
/
runs
Run a workflow goal now
curl --request POST \
--url https://api.costgraph.ai/api/v1/tenant/automation/goals/{goal_id}/runs \
--header 'Authorization: <api-key>' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-CostGraph-Tenant-ID: <x-costgraph-tenant-id>'import requests
url = "https://api.costgraph.ai/api/v1/tenant/automation/goals/{goal_id}/runs"
headers = {
"X-CostGraph-Tenant-ID": "<x-costgraph-tenant-id>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-CostGraph-Tenant-ID': '<x-costgraph-tenant-id>',
'Idempotency-Key': '<idempotency-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.costgraph.ai/api/v1/tenant/automation/goals/{goal_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "some message",
"status": "success",
"data": {
"goal_id": "<string>",
"goal_revision_id": "<string>",
"run_id": "<string>",
"status": "<string>",
"workflow_id": "<string>"
}
}{
"message": "some message",
"status": "success",
"data": {
"goal_id": "<string>",
"goal_revision_id": "<string>",
"run_id": "<string>",
"status": "<string>",
"workflow_id": "<string>"
}
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}Authorizations
Enter "Bearer {token}"
Headers
Tenant ID
UUID idempotency key
Path Parameters
Goal ID
Was this page helpful?
⌘I
Run a workflow goal now
